Store Associate Management API

PUT Create or update store associates.

PUT /merchant/{version}/associates/bulk

Operation ID: bulkUpsertStoreAssociate. Tags: Store Associate Management API.

Create or update a list of store associates in the POS system. The number of associates in the request must be between 1 and 100. All mandatory fields are required for each associate being created or updated. If any non-mandatory field is set to null, it overwrites the existing data with null. Update and create validation rules are applied to each associate in the request. If all associates are created or updated successfully, a successful response is returned; otherwise, the response contains error messages corresponding to the failures. ErrorMessage and code are populated for validation failures. General Validation includes:

  1. Ensuring the associateList is not empty or null.
  2. Performing mobile configuration ID validation. Update Validation includes:
  3. Verifying that all associates to be updated exist in the system.
  4. Checking for mismatches between the number of updating associates and existing associates.
  5. Validating that all associate IDs in the update list exist in the system. Create Validation includes:
  6. Verifying that all associates to be created do not exist in the system.

Parameters

  • version (path, string, required) Supported: v1.
    Pattern: v1|v2.

Request body

Media type: application/json. Schema: StoreAssociateBulkRequest.

Responses

  • default Default response.

    Media type: application/json. Schema: PSResponse.